#include "Globals.h"

void MoveEnemy(int index, int x, int y, int dir)
{
    ham_SetObjXY(GLOBALS.gfx.ENEMY[index].Data, x,y);
    ham_SetObjHFlip(GLOBALS.gfx.ENEMY[index].Data,dir);
}
void EnemyAI(void)
{
    int i=0;
    if(GLOBALS.NewFrame)
    {
        for (i=0;i<3;++i)
        {
            if (GLOBALS.gfx.ENEMY[i].Alive)
            {
                if(GLOBALS.gfx.ENEMY[i].x == GLOBALS.gfx.ENEMY[i].ix &&
                    GLOBALS.gfx.ENEMY[i].State != EATTACK)
                {
                    GLOBALS.gfx.ENEMY[i].State = EATTACK;
                }
                else if(GLOBALS.gfx.ENEMY[i].dir ==0)
                {
                    GLOBALS.gfx.ENEMY[i].State = EWALK;
                    --GLOBALS.gfx.ENEMY[i].x;
                    MoveEnemy(i,GLOBALS.gfx.ENEMY[i].x,GLOBALS.gfx.ENEMY[i].y, GLOBALS.gfx.ENEMY[i].dir);
                    if (GLOBALS.gfx.ENEMY[i].x < GLOBALS.gfx.ENEMY[i].ix -20)
                    {
                        GLOBALS.gfx.ENEMY[i].dir = 1;
                    }
                }
                else if(GLOBALS.gfx.ENEMY[i].dir ==1)
                {
                    GLOBALS.gfx.ENEMY[i].State = EWALK;
                    ++GLOBALS.gfx.ENEMY[i].x;
                    MoveEnemy(i,GLOBALS.gfx.ENEMY[i].x,GLOBALS.gfx.ENEMY[i].y, GLOBALS.gfx.ENEMY[i].dir);
                    if (GLOBALS.gfx.ENEMY[i].x > GLOBALS.gfx.ENEMY[i].ix +20)
                    {
                        GLOBALS.gfx.ENEMY[i].dir = 0;
                    }
                }

            }
            //Destroy Enemy if off screen below
            if (GLOBALS.gfx.ENEMY[i].y >200)
            {
                GLOBALS.gfx.ENEMY[i].Alive = FALSE;
                ham_DeleteObj(GLOBALS.gfx.ENEMY[i].Data);
            }
        }
    }
}
