#include "Globals.h"
#include "Images\text.c"
void StorySetup(void)
{
    ham_ResetBg();
    ham_SetBgMode(0);
    //hel_PalBgLoad256((void*)text_Palette);
    ham_LoadBGPal256((void*)text_Palette);
    ham_InitText(0);
    //ham_SetTextCol(0xFF,0x00);
    ham_DrawText(3,2,"In the late 17th century");
    ham_DrawText(3,3,"the legions of the undead");
    ham_DrawText(1,4,"began to take their conquest");
    ham_DrawText(1,5,"over the land of the living.");
    ham_DrawText(2,6,"But in this time of need a ");
    ham_DrawText(2,7,"hero arose. Over time his");
    ham_DrawText(3,8,"name faded from memory and");
    ham_DrawText(1,9,"he became only known as the");
    ham_DrawText(9,10,"Night Hunter.");
    ham_DrawText(4,12,"Let us look back to the");
    ham_DrawText(3,13,"beginning of this story");
    ham_DrawText(6,16,"Press A to begin.");
    ++GLOBALS.GameState;
}
void StoryProc(void)
{
    
    
    ProcessInput();
    if (GLOBALS.GameState!=4)
    {
        StoryExit();
    }
}
void StoryExit(void)
{
    ham_DeInitText();
    ham_ResetBg();
}

void EndingSetup(void)
{
    ham_ResetBg();
    ham_SetBgMode(0);
    ham_LoadBGPal256((void*)text_Palette);
    ham_InitText(0);
    //ham_SetTextCol(0xFF,0x00);
    if (GLOBALS.gfx.ORB.Alive == TRUE)
    {
        ham_DrawText(3,6,"Your failure against the");
        ham_DrawText(3,7,"undead has left the human");
        ham_DrawText(3,8,"race defenseless and now");
        ham_DrawText(3,9,"the world belongs to the");
        ham_DrawText(12,10,"dead.");
        ham_DrawText(3,16,"Press Start to Restart.");
    }
    else
    {
        ham_DrawText(2,7,"The start of your adventure");
        ham_DrawText(3,8,"was a success. The people");
        ham_DrawText(3,9,"of the world are safe for");
        ham_DrawText(3,10,"now. But for how long?");
        ham_DrawText(3,16,"Press Start to Restart.");
    }
    ++GLOBALS.GameState;
}
void EndingProc(void)
{
    ProcessInput();
    if (GLOBALS.GameState!=9)
    {
        EndingExit();
    }
}
void EndingExit(void)
{
    ham_DeInitText();
    ham_ResetBg();
    SetupGlobals();
}
