#ifndef GLOBALS_H
#define GLOBALS_H

#include <mygba.h>
//#include <hel.h>
#include "Graphics.h"
//#include "Sound.h"
#include "Input.h"

#include "Menu.h"
#include "Story.h"
#include "Fade.h"

#include "Player.h"
#include "Enemies.h"
#define SCR_WIDTH 240
#define SCR_HEIGHT 160
#define MAP_WIDTH 512
#define MAP_HEIGHT 400
#define ORBANIM 10240
#define HP 11264
//Graphics


struct Globals
{
    struct Graphics gfx;
    //Sound sfx;
    //Input input;
    int GameState; //0=menu, 1 = fade title, 2= story, 3 = game
    int NewFrame;
    int fadecount;
    int ScrX;
    int ScrY;
    struct ControllerState controllerState;
    int VertBlankCount;
    int PlayerAnimation;
    int EnemyAnimation;
    int CandleAnimation;
    int SpawnFloor2;
    int AttackPressed;
    int JumpPressed;
    int MapOffx;
    int MapOffy;
};
extern struct Globals GLOBALS;

//Global Functions
void SetupGlobals(void);
void VBlank(void);
void HBlank(void);
#endif

