#ifndef PLAYER_H
#define PLAYER_H

enum PlayerStates
{
    WALK,
    JUMP,
    WAIT,
    ATTACK
};
struct Player
{
    u8 GraphicData;
    int x;
    int y;
    int dir; //0 =right, 1 = left
    int State;
    int JumpVector;
    int Health;
    int Invin;
};

void MovePlayer(int x, int y, int dir);
void SpriteCollision(void);
u8 PlayerOnEnemy(int EnemyIndex);
u8 PlayerOnPuke(int Index);
u8 PlayerOnOrb(void);
#endif

